Index: trunk/geant4/N03/g4_03.prim
===================================================================
--- trunk/geant4/N03/g4_03.prim	(revision 608)
+++ trunk/geant4/N03/g4_03.prim	(revision 609)
@@ -1,79 +1,224 @@
 ##G4.PRIM-FORMAT-2.4
-/BoundingBox       -866.025404       -866.025404       -866.025404        866.025404        866.025404        866.025404
+/BoundingBox       -103.077641       -103.077641       -103.077641        103.077641        103.077641        103.077641
 !SetCamera
 !OpenDevice
 !BeginModeling
-/ColorRGB                 1                 0                 0
+#--------------------
+#/PVName          Calorimeter.0
+/ColorRGB                 1                 1                 1
 /ForceWireframe  0
 /Origin                 0                 0                 0
 /BaseVector                 1                 0                 0                 0                 1                 0
-/Polyline
-/PLVertex                 0                 0                 0
-/PLVertex               500                 0                 0
-/EndPolyline
-/ColorRGB                 0                 1                 0
-/ForceWireframe  0
-/Origin                 0                 0                 0
-/BaseVector                 1                 0                 0                 0                 1                 0
-/Polyline
-/PLVertex                 0                 0                 0
-/PLVertex                 0               500                 0
-/EndPolyline
-/ColorRGB                 0                 0                 1
-/ForceWireframe  0
-/Origin                 0                 0                 0
-/BaseVector                 1                 0                 0                 0                 1                 0
-/Polyline
-/PLVertex                 0                 0                 0
-/PLVertex                 0                 0               500
-/EndPolyline
-/ColorRGB                 0                 0                 1
-/Origin                 0                 0                 0
-/BaseVector                 1                 0                 0                 0                 1                 0
-/MarkText2DS                 0                0                0               50             -100             -140 Gap
-/ColorRGB                 1                 0                 0
-/ForceWireframe  0
-/Origin                 0                 0                 0
-/BaseVector                 1                 0                 0                 0                 1                 0
-/Polyline
-/PLVertex               -25               -50                50
-/PLVertex               -25               -50               -50
-/EndPolyline
-/ColorRGB                 1                 0                 0
-/ForceWireframe  0
-/Origin                 0                 0                 0
-/BaseVector                 1                 0                 0                 0                 1                 0
-/Polyline
-/PLVertex               -25               -45                50
-/PLVertex               -25               -55                50
-/EndPolyline
-/ColorRGB                 1                 0                 0
-/ForceWireframe  0
-/Origin                 0                 0                 0
-/BaseVector                 1                 0                 0                 0                 1                 0
-/Polyline
-/PLVertex               -20               -50                50
-/PLVertex               -30               -50                50
-/EndPolyline
-/ColorRGB                 1                 0                 0
-/ForceWireframe  0
-/Origin                 0                 0                 0
-/BaseVector                 1                 0                 0                 0                 1                 0
-/Polyline
-/PLVertex               -25               -45               -50
-/PLVertex               -25               -55               -50
-/EndPolyline
-/ColorRGB                 1                 0                 0
-/ForceWireframe  0
-/Origin                 0                 0                 0
-/BaseVector                 1                 0                 0                 0                 1                 0
-/Polyline
-/PLVertex               -20               -50               -50
-/PLVertex               -30               -50               -50
-/EndPolyline
-/ColorRGB                 0                 0                 1
-/Origin                 0                 0                 0
-/BaseVector                 1                 0                 0                 0                 1                 0
-/MarkText2DS               -25              -45                0               12                0                0 10 cm
+/Box                75                50                50
+#--------------------
+#/PVName               Layer.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin             -67.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               7.5                50                50
+#--------------------
+#/PVName                    Lead.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin               -70                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box                 5                50                50
+#--------------------
+#/PVName                    liquidArgon.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin             -62.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               2.5                50                50
+#--------------------
+#/PVName               Layer.1
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin             -52.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               7.5                50                50
+#--------------------
+#/PVName                    Lead.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin               -55                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box                 5                50                50
+#--------------------
+#/PVName                    liquidArgon.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin             -47.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               2.5                50                50
+#--------------------
+#/PVName               Layer.2
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin             -37.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               7.5                50                50
+#--------------------
+#/PVName                    Lead.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin               -40                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box                 5                50                50
+#--------------------
+#/PVName                    liquidArgon.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin             -32.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               2.5                50                50
+#--------------------
+#/PVName               Layer.3
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin             -22.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               7.5                50                50
+#--------------------
+#/PVName                    Lead.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin               -25                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box                 5                50                50
+#--------------------
+#/PVName                    liquidArgon.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin             -17.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               2.5                50                50
+#--------------------
+#/PVName               Layer.4
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin              -7.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               7.5                50                50
+#--------------------
+#/PVName                    Lead.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin               -10                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box                 5                50                50
+#--------------------
+#/PVName                    liquidArgon.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin              -2.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               2.5                50                50
+#--------------------
+#/PVName               Layer.5
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin               7.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               7.5                50                50
+#--------------------
+#/PVName                    Lead.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin                 5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box                 5                50                50
+#--------------------
+#/PVName                    liquidArgon.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin              12.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               2.5                50                50
+#--------------------
+#/PVName               Layer.6
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin              22.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               7.5                50                50
+#--------------------
+#/PVName                    Lead.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin                20                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box                 5                50                50
+#--------------------
+#/PVName                    liquidArgon.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin              27.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               2.5                50                50
+#--------------------
+#/PVName               Layer.7
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin              37.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               7.5                50                50
+#--------------------
+#/PVName                    Lead.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin                35                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box                 5                50                50
+#--------------------
+#/PVName                    liquidArgon.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin              42.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               2.5                50                50
+#--------------------
+#/PVName               Layer.8
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin              52.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               7.5                50                50
+#--------------------
+#/PVName                    Lead.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin                50                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box                 5                50                50
+#--------------------
+#/PVName                    liquidArgon.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin              57.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               2.5                50                50
+#--------------------
+#/PVName               Layer.9
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin              67.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               7.5                50                50
+#--------------------
+#/PVName                    Lead.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin                65                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box                 5                50                50
+#--------------------
+#/PVName                    liquidArgon.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin              72.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               2.5                50                50
 #--------------------
 !EndModeling
Index: trunk/geant4/N03/g4_04.prim
===================================================================
--- trunk/geant4/N03/g4_04.prim	(revision 608)
+++ trunk/geant4/N03/g4_04.prim	(revision 609)
@@ -1,20 +1,13 @@
 ##G4.PRIM-FORMAT-2.4
-/BoundingBox       -875.138588       -897.492158       -873.986342        896.339912        873.986342        897.492158
+/BoundingBox       -103.077641       -103.077641       -103.077641        103.077641        103.077641        103.077641
 !SetCamera
 !OpenDevice
 !BeginModeling
 #--------------------
-#/PVName     World.0
+#/PVName          Calorimeter.0
 /ColorRGB                 1                 1                 1
 /ForceWireframe  0
 /Origin                 0                 0                 0
 /BaseVector                 1                 0                 0                 0                 1                 0
-/Box                90                60                60
-#--------------------
-#/PVName          Calorimeter.0
-/ColorRGB                 1                 1                 1
-/ForceWireframe  0
-/Origin                 0                 0                 0
-/BaseVector                 1                 0                 0                 0                 1                 0
 /Box                75                50                50
 #--------------------
@@ -228,76 +221,4 @@
 /BaseVector                 1                 0                 0                 0                 1                 0
 /Box               2.5                50                50
-/ColorRGB                 1                 0                 0
-/ForceWireframe  0
-/Origin                 0                 0                 0
-/BaseVector                 1                 0                 0                 0                 1                 0
-/Polyline
-/PLVertex                 0                 0                 0
-/PLVertex               500                 0                 0
-/EndPolyline
-/ColorRGB                 0                 1                 0
-/ForceWireframe  0
-/Origin                 0                 0                 0
-/BaseVector                 1                 0                 0                 0                 1                 0
-/Polyline
-/PLVertex                 0                 0                 0
-/PLVertex                 0               500                 0
-/EndPolyline
-/ColorRGB                 0                 0                 1
-/ForceWireframe  0
-/Origin                 0                 0                 0
-/BaseVector                 1                 0                 0                 0                 1                 0
-/Polyline
-/PLVertex                 0                 0                 0
-/PLVertex                 0                 0               500
-/EndPolyline
-/ColorRGB                 0                 0                 1
-/Origin                 0                 0                 0
-/BaseVector                 1                 0                 0                 0                 1                 0
-/MarkText2DS                 0                0                0               50             -100             -240 World
-/ColorRGB                 1                 0                 0
-/ForceWireframe  0
-/Origin                 0                 0                 0
-/BaseVector                 1                 0                 0                 0                 1                 0
-/Polyline
-/PLVertex               410              -510               510
-/PLVertex               510              -510               510
-/EndPolyline
-/ColorRGB                 1                 0                 0
-/ForceWireframe  0
-/Origin                 0                 0                 0
-/BaseVector                 1                 0                 0                 0                 1                 0
-/Polyline
-/PLVertex               410              -505               510
-/PLVertex               410              -515               510
-/EndPolyline
-/ColorRGB                 1                 0                 0
-/ForceWireframe  0
-/Origin                 0                 0                 0
-/BaseVector                 1                 0                 0                 0                 1                 0
-/Polyline
-/PLVertex               410              -510               515
-/PLVertex               410              -510               505
-/EndPolyline
-/ColorRGB                 1                 0                 0
-/ForceWireframe  0
-/Origin                 0                 0                 0
-/BaseVector                 1                 0                 0                 0                 1                 0
-/Polyline
-/PLVertex               510              -505               510
-/PLVertex               510              -515               510
-/EndPolyline
-/ColorRGB                 1                 0                 0
-/ForceWireframe  0
-/Origin                 0                 0                 0
-/BaseVector                 1                 0                 0                 0                 1                 0
-/Polyline
-/PLVertex               510              -510               515
-/PLVertex               510              -510               505
-/EndPolyline
-/ColorRGB                 0                 0                 1
-/Origin                 0                 0                 0
-/BaseVector                 1                 0                 0                 0                 1                 0
-/MarkText2DS               460             -505              510               12                0                0 10 cm
 #--------------------
 !EndModeling
Index: trunk/geant4/N03/g4_05.prim
===================================================================
--- trunk/geant4/N03/g4_05.prim	(revision 608)
+++ trunk/geant4/N03/g4_05.prim	(revision 609)
@@ -221,2 +221,6 @@
 /BaseVector                 1                 0                 0                 0                 1                 0
 /Box               2.5                50                50
+#--------------------
+!EndModeling
+!DrawAll
+!CloseDevice
Index: trunk/geant4/N03/include/ExN03DetectorConstruction.hh
===================================================================
--- trunk/geant4/N03/include/ExN03DetectorConstruction.hh	(revision 608)
+++ trunk/geant4/N03/include/ExN03DetectorConstruction.hh	(revision 609)
@@ -26,5 +26,5 @@
 //
 // $Id: ExN03DetectorConstruction.hh,v 1.7 2006/06/29 17:48:32 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/geant4/N03/include/ExN03DetectorMessenger.hh
===================================================================
--- trunk/geant4/N03/include/ExN03DetectorMessenger.hh	(revision 608)
+++ trunk/geant4/N03/include/ExN03DetectorMessenger.hh	(revision 609)
@@ -26,5 +26,5 @@
 //
 // $Id: ExN03DetectorMessenger.hh,v 1.7 2006/06/29 17:48:34 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/geant4/N03/include/ExN03EventAction.hh
===================================================================
--- trunk/geant4/N03/include/ExN03EventAction.hh	(revision 608)
+++ trunk/geant4/N03/include/ExN03EventAction.hh	(revision 609)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: ExN03EventAction.hh,v 1.11 2006/10/26 14:30:05 allison Exp $
-// GEANT4 tag $Name: geant4-08-02-patch-01-ref $
+// $Id: ExN03EventAction.hh,v 1.12 2007/07/02 13:22:08 vnivanch Exp $
+// GEANT4 tag $Name:  $
 //
 // 
@@ -46,18 +46,17 @@
 class ExN03EventAction : public G4UserEventAction
 {
- public:
-   ExN03EventAction(ExN03RunAction*);
-  ~ExN03EventAction();
+public:
+  ExN03EventAction(ExN03RunAction*);
+  virtual ~ExN03EventAction();
 
- public:
-   void  BeginOfEventAction(const G4Event*);
-   void    EndOfEventAction(const G4Event*);
+  void  BeginOfEventAction(const G4Event*);
+  void    EndOfEventAction(const G4Event*);
     
-   void AddAbs(G4double de, G4double dl) {EnergyAbs += de; TrackLAbs += dl;};
-   void AddGap(G4double de, G4double dl) {EnergyGap += de; TrackLGap += dl;};
+  void AddAbs(G4double de, G4double dl) {EnergyAbs += de; TrackLAbs += dl;};
+  void AddGap(G4double de, G4double dl) {EnergyGap += de; TrackLGap += dl;};
                      
-   void SetPrintModulo(G4int    val)  {printModulo = val;};
+  void SetPrintModulo(G4int    val)  {printModulo = val;};
     
- private:
+private:
    ExN03RunAction*  runAct;
    
Index: trunk/geant4/N03/include/ExN03EventActionMessenger.hh
===================================================================
--- trunk/geant4/N03/include/ExN03EventActionMessenger.hh	(revision 608)
+++ trunk/geant4/N03/include/ExN03EventActionMessenger.hh	(revision 609)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: ExN03EventActionMessenger.hh,v 1.9 2006/10/26 14:28:00 allison Exp $
-// GEANT4 tag $Name: geant4-08-02-patch-01-ref $
+// $Id: ExN03EventActionMessenger.hh,v 1.10 2007/07/02 13:22:08 vnivanch Exp $
+// GEANT4 tag $Name:  $
 //
 // 
@@ -47,14 +47,14 @@
 class ExN03EventActionMessenger: public G4UImessenger
 {
-  public:
-    ExN03EventActionMessenger(ExN03EventAction*);
-   ~ExN03EventActionMessenger();
+public:
+  ExN03EventActionMessenger(ExN03EventAction*);
+  virtual ~ExN03EventActionMessenger();
     
-    void SetNewValue(G4UIcommand*, G4String);
+  void SetNewValue(G4UIcommand*, G4String);
     
-  private:
-    ExN03EventAction*     eventAction;
-    G4UIdirectory*        eventDir;   
-    G4UIcmdWithAnInteger* PrintCmd;    
+private:
+  ExN03EventAction*     eventAction;
+  G4UIdirectory*        eventDir;   
+  G4UIcmdWithAnInteger* PrintCmd;    
 };
 
Index: trunk/geant4/N03/include/ExN03PhysicsList.hh
===================================================================
--- trunk/geant4/N03/include/ExN03PhysicsList.hh	(revision 608)
+++ trunk/geant4/N03/include/ExN03PhysicsList.hh	(revision 609)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: ExN03PhysicsList.hh,v 1.12 2006/06/29 17:48:40 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// $Id: ExN03PhysicsList.hh,v 1.13 2007/07/02 13:22:08 vnivanch Exp $
+// GEANT4 tag $Name:  $
 //
 // 
@@ -43,27 +43,24 @@
 class ExN03PhysicsList: public G4VUserPhysicsList
 {
-  public:
-    ExN03PhysicsList();
-   ~ExN03PhysicsList();
+public:
+  ExN03PhysicsList();
+  virtual ~ExN03PhysicsList();
 
-  protected:
-    // Construct particle and physics
-    void ConstructParticle();
-    void ConstructProcess();
+  // Construct particle and physics
+  void ConstructParticle();
+  void ConstructProcess();
  
-    void SetCuts();
+  void SetCuts();
+   
+private:
+  // these methods Construct particles 
+  void ConstructBosons();
+  void ConstructLeptons();
+  void ConstructMesons();
+  void ConstructBaryons();
 
-   
-  protected:
-    // these methods Construct particles 
-    void ConstructBosons();
-    void ConstructLeptons();
-    void ConstructMesons();
-    void ConstructBaryons();
-
-  protected:
-    // these methods Construct physics processes and register them
-    void ConstructGeneral();
-    void ConstructEM();
+  // these methods Construct physics processes and register them
+  void ConstructDecay();
+  void ConstructEM();
 };
 
Index: trunk/geant4/N03/include/ExN03PrimaryGeneratorAction.hh
===================================================================
--- trunk/geant4/N03/include/ExN03PrimaryGeneratorAction.hh	(revision 608)
+++ trunk/geant4/N03/include/ExN03PrimaryGeneratorAction.hh	(revision 609)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: ExN03PrimaryGeneratorAction.hh,v 1.7 2006/06/29 17:48:42 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// $Id: ExN03PrimaryGeneratorAction.hh,v 1.8 2007/07/02 13:22:08 vnivanch Exp $
+// GEANT4 tag $Name:  $
 //
 // 
@@ -48,18 +48,17 @@
 class ExN03PrimaryGeneratorAction : public G4VUserPrimaryGeneratorAction
 {
-  public:
-    ExN03PrimaryGeneratorAction(ExN03DetectorConstruction*);    
-   ~ExN03PrimaryGeneratorAction();
+public:
+  ExN03PrimaryGeneratorAction(ExN03DetectorConstruction*);    
+  virtual ~ExN03PrimaryGeneratorAction();
 
-  public:
-    void GeneratePrimaries(G4Event*);
-    void SetRndmFlag(G4String val) { rndmFlag = val;}
+  void GeneratePrimaries(G4Event*);
+  void SetRndmFlag(G4String val) { rndmFlag = val;}
 
-  private:
-    G4ParticleGun*                particleGun;	  //pointer a to G4  class
-    ExN03DetectorConstruction*    ExN03Detector;  //pointer to the geometry
+private:
+  G4ParticleGun*                particleGun;	  //pointer a to G4  class
+  ExN03DetectorConstruction*    ExN03Detector;    //pointer to the geometry
     
-    ExN03PrimaryGeneratorMessenger* gunMessenger; //messenger of this class
-    G4String                      rndmFlag;	  //flag for a rndm impact point
+  ExN03PrimaryGeneratorMessenger* gunMessenger;   //messenger of this class
+  G4String                      rndmFlag;	  //flag for a rndm impact point
 };
 
Index: trunk/geant4/N03/include/ExN03PrimaryGeneratorMessenger.hh
===================================================================
--- trunk/geant4/N03/include/ExN03PrimaryGeneratorMessenger.hh	(revision 608)
+++ trunk/geant4/N03/include/ExN03PrimaryGeneratorMessenger.hh	(revision 609)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: ExN03PrimaryGeneratorMessenger.hh,v 1.7 2006/06/29 17:48:44 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// $Id: ExN03PrimaryGeneratorMessenger.hh,v 1.8 2007/07/02 13:22:08 vnivanch Exp $
+// GEANT4 tag $Name:  $
 //
 // 
@@ -47,14 +47,14 @@
 class ExN03PrimaryGeneratorMessenger: public G4UImessenger
 {
-  public:
-    ExN03PrimaryGeneratorMessenger(ExN03PrimaryGeneratorAction*);
-   ~ExN03PrimaryGeneratorMessenger();
+public:
+  ExN03PrimaryGeneratorMessenger(ExN03PrimaryGeneratorAction*);
+  virtual ~ExN03PrimaryGeneratorMessenger();
     
-    void SetNewValue(G4UIcommand*, G4String);
+  void SetNewValue(G4UIcommand*, G4String);
     
-  private:
-    ExN03PrimaryGeneratorAction* ExN03Action;
-    G4UIdirectory*               gunDir; 
-    G4UIcmdWithAString*          RndmCmd;
+private:
+  ExN03PrimaryGeneratorAction* ExN03Action;
+  G4UIdirectory*               gunDir; 
+  G4UIcmdWithAString*          RndmCmd;
 };
 
